summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorMantas MikulÄ—nas <grawity@gmail.com>2012-07-25 22:39:17 +0300
committerZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2012-07-25 22:43:30 +0200
commit72d25fd92569440d765d69fa4511e89b2374df1e (patch)
treeeca3e8571099f5bc39ef81db9337de9bc13d3d71 /autogen.sh
parent919a7f39e6aa4a93b8348ec2586e313c40f49e52 (diff)
build-sys: really make gtk-doc optional & some portability fixes
The failing check caused autogen.sh to die mysteriously due to `set -e` and the unquoted `test -z $VAR`. Also, some syntax fixes to make it work with /bin/sh, which most other autogen.sh's use. [zj: implemented simplification suggested by Peters Simon and fixed the case where gtkdocize was available but is not anymore.]
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh21
1 files changed, 11 insertions, 10 deletions
diff --git a/autogen.sh b/autogen.sh
index bec43fad7..33d8fcda2 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
# This file is part of systemd.
#
@@ -17,26 +17,27 @@
set -e
-if [ -f .git/hooks/pre-commit.sample -a ! -f .git/hooks/pre-commit ] ; then
+if [ -f .git/hooks/pre-commit.sample ] && [ ! -f .git/hooks/pre-commit ]; then
+ # This part is allowed to fail
cp -p .git/hooks/pre-commit.sample .git/hooks/pre-commit && \
chmod +x .git/hooks/pre-commit && \
- echo "Activated pre-commit hook."
+ echo "Activated pre-commit hook." || :
fi
-GTKDOCIZE=$(which gtkdocize 2>/dev/null)
-if test -z $GTKDOCIZE; then
- echo "You don't have gtk-doc installed, and thus won't be able to generate the documentation."
- echo 'EXTRA_DIST =' > docs/gtk-doc.make
-else
+if which gtkdocize >/dev/null 2>/dev/null; then
gtkdocize --docdir docs/
gtkdocargs=--enable-gtk-doc
+else
+ echo "You don't have gtk-doc installed, and thus won't be able to generate the documentation."
+ rm -f docs/gtk-doc.make
+ echo 'EXTRA_DIST =' > docs/gtk-doc.make
fi
intltoolize --force --automake
autoreconf --force --install --symlink
libdir() {
- echo $(cd $1/$(gcc -print-multi-os-directory); pwd)
+ echo $(cd "$1/$(gcc -print-multi-os-directory)"; pwd)
}
args="\
@@ -52,7 +53,7 @@ args="$args \
"
fi
-if [ "x$1" == "xc" ]; then
+if [ "x$1" = "xc" ]; then
./configure CFLAGS='-g -O0 -Wp,-U_FORTIFY_SOURCE' $args
make clean
else